## dde-clipboard 5.3.16

=== debian/changelog ===
dde-clipboard (5.3.16-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Wed, 14 Apr 2021 17:44:18 +0800

dde-clipboard (1.0.0) unstable; urgency=low

  * Autobuild Tag 1.0.0

 -- TagBuilder <tagbuilder@deepin.com>  Fri, 12 Aug 2016 18:43:22 +0000
