=== debian/changelog ===
dde-clipboard (1:5.4.20-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Sat, 27 Aug 2022 13:28:19 +0800
