## dde-clipboard 5.4.24

=== debian/changelog ===
dde-clipboard (1:5.4.24-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Thu, 13 Oct 2022 19:40:14 +0800
