=== debian/changelog ===
dde-clipboard (1:5.4.26.1-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Tue, 11 Apr 2023 11:09:42 +0800
