## dde-clipboard 5.15.0102.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,13 +12,11 @@
 set(CMAKE_CXX_FLAGS "-g -Wall")
 
 # 增加安全编译参数
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all")
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-all")
-set(CMAKE_EXE_LINKER_FLAGS  "-z relro -z now -z noexecstack -pie")
+ADD_DEFINITIONS("-fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
 
 if (CMAKE_BUILD_TYPE STREQUAL "Debug")
-    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O0")
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O0")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O2")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O2")
 endif()
 
 if (DEFINED ENABLE_MIEEE)
@@ -46,20 +44,6 @@
 
 pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
 pkg_check_modules(GIO REQUIRED gio-qt)
-
-try_compile(USE_DEEPIN_KF5_WAYLAND
-              ${CMAKE_CURRENT_BINARY_DIR}/try_compile
-            SOURCES
-              ${CMAKE_CURRENT_SOURCE_DIR}/tests/kf5_wayland_test.cc
-            LINK_LIBRARIES
-              KF5::WaylandClient
-)
-
-message(STATUS "USE_DEEPIN_KF5_WAYLAND ${USE_DEEPIN_KF5_WAYLAND}")
-
-if(USE_DEEPIN_KF5_WAYLAND)
-  add_definitions(-DUSE_DEEPIN_KF5_WAYLAND)
-endif()
 
 function(generation_dbus_adaptor xml class_name class_file option)
     execute_process(COMMAND qdbusxml2cpp ${option} -a ${class_file} -c ${class_name} ${xml}
@@ -121,7 +105,7 @@
 install(FILES ${QM_FILES} DESTINATION share/${BIN_NAME}/translations)
 
 ## desktop file
-file(GLOB DESKTOP_FILE "misc/dde-clipboard.desktop")
+file(GLOB DESKTOP_FILE "dde-clipboard/dde-clipboard.desktop")
 install(FILES ${DESKTOP_FILE} DESTINATION share/applications)
 
 ## autostart
@@ -129,49 +113,45 @@
 install(FILES ${AUTOSTART_FILE} DESTINATION /etc/xdg/autostart)
 
 ## dbus service
-file(GLOB SERVICE_FILE "misc/com.deepin.dde.Clipboard.service")
+file(GLOB SERVICE_FILE "dde-clipboard/com.deepin.dde.Clipboard.service")
 install(FILES ${SERVICE_FILE} DESTINATION share/dbus-1/services)
 
 ## bin
 install(TARGETS ${BIN_NAME} DESTINATION bin)
 
-#----------------------------dde-clipboard-daemon------------------------------
-set(BIN_NAME dde-clipboard-daemon)
-
-file(GLOB_RECURSE dde-clipboard-daemon_SCRS
-   "dde-clipboard-daemon/*.h"
-   "dde-clipboard-daemon/*.cpp"
-)
-
-add_executable(${BIN_NAME}
-    ${dde-clipboard-daemon_SCRS}
-)
-
-target_include_directories(${BIN_NAME} PUBLIC
-  ${Qt5Widget_INCLUDE_DIRS}
-  ${Qt5Core_INCLUDE_DIRS}
-  ${DtkCore_INCLUDE_DIRS}
-  KF5::WaylandClient
-)
-
-target_link_libraries(${BIN_NAME} PRIVATE
-  ${Qt5DBus_LIBRARIES}
-  ${Qt5Core_LIBRARIES}
-  ${Qt5Widgets_LIBRARIES}
-  ${DtkCore_LIBRARIES}
-  KF5::WaylandClient
-)
-
-install(TARGETS ${BIN_NAME} DESTINATION bin)
-install(FILES misc/dde-clipboard-daemon.service
-    DESTINATION /lib/systemd/user
-)
-install(FILES misc/dde-clipboard-daemon.desktop
-    DESTINATION /usr/share/applications/
-)
-install(FILES misc/dde-clipboard-daemon.desktop
-    DESTINATION /etc/xdg/autostart/
-)
+#----------------------------dde-clipboardloader------------------------------
+set(LOADER_NAME dde-clipboardloader)
+
+file(GLOB_RECURSE ClipboardLoader_SCRS
+    "dde-clipboardloader/*.h"
+    "dde-clipboardloader/*.cpp"
+)
+list(REMOVE_ITEM ClipboardLoader_SCRS "${CMAKE_SOURCE_DIR}/dde-clipboardloader/main.cpp")
+
+add_executable(${LOADER_NAME}
+    ${ClipboardLoader_SCRS}
+    dde-clipboardloader/main.cpp
+    dde-clipboard/constants.h
+    dde-clipboard/dbus/iteminfo.h
+)
+target_include_directories(${LOADER_NAME} PUBLIC
+    ${DtkWidget_INCLUDE_DIRS}
+    KF5::WaylandClient
+    Qt5::Core
+    Qt5::Widgets
+    Qt5::DBus
+)
+
+target_link_libraries(${LOADER_NAME} PRIVATE
+    ${DtkWidget_LIBRARIES}
+    KF5::WaylandClient
+    Qt5::Core
+    Qt5::Widgets
+    Qt5::DBus
+)
+
+## bin
+install(TARGETS ${LOADER_NAME} DESTINATION bin)
 
 #----------------------------ut-dde-clipboard------------------------------
 set(UT_BIN_NAME ut-dde-clipboard)
@@ -213,3 +193,41 @@
     -lgcov
     -lgtest
 )
+
+#--------------------------ut-dde-clipboardloader----------------------------
+set(UT_LOADER_NAME ut-dde-clipboardloader)
+
+file(GLOB_RECURSE ut_Clipboardloader_SCRS
+    "tests/dde-clipboardloader/*.h"
+    "tests/dde-clipboardloader/*.cpp"
+)
+
+add_executable(${UT_LOADER_NAME}
+    ${ClipboardLoader_SCRS}
+    ${ut_Clipboardloader_SCRS}
+    dde-clipboard/constants.h
+    dde-clipboard/dbus/iteminfo.h
+)
+# 用于测试覆盖率的编译条件
+target_compile_options(${UT_BIN_NAME} PRIVATE -fprofile-arcs -ftest-coverage)
+
+target_include_directories(${UT_LOADER_NAME} PUBLIC
+    ${DtkWidget_INCLUDE_DIRS}
+    KF5::WaylandClient
+    Qt5::Core
+    Qt5::Widgets
+    Qt5::DBus
+    Qt5::Test
+)
+
+target_link_libraries(${UT_LOADER_NAME} PRIVATE
+    ${DtkWidget_LIBRARIES}
+    KF5::WaylandClient
+    Qt5::Core
+    Qt5::Widgets
+    Qt5::DBus
+    Qt5::Test
+    -lpthread
+    -lgcov
+    -lgtest
+)
