=== debian/changelog ===
dde-clipboard (5.15.0102.7-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- LiChengGang <lichenggang@uniontech.com>  Thu, 24 Feb 2022 15:29:33 +0800

dde-clipboard (5.4.7-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Mon, 21 Feb 2022 11:25:29 +0800
