=== debian/changelog ===
dde-clipboard (1:6.0.11) unstable; urgency=medium

  * feat: add dbus window visible property and changed signal
  * fix: border color issue

 -- Zhang Kun <zhangkun2@uniontech.com>  Fri, 12 Jul 2024 17:57:12 +0800

dde-clipboard (1:6.0.9) unstable; urgency=medium

  * release 1:6.0.9
  * fix #8415

 -- Mike Chen <chenke@deepin.org>  Wed, 08 May 2024 14:45:01 +0800

dde-clipboard (1:6.0.8) unstable; urgency=medium

  * fix: Dock cannot hide clipboard in non special effects mode(issue: https://github.com/linuxdeepin/developer-center/issues/8309)

 -- Zhang kun <zhangkun2@uniontech.com>  Mon, 29 Apr 2024 15:49:23 +0800

dde-clipboard (1:6.0.7) unstable; urgency=medium

  * fix: when line is min than 4, it elided

 -- chenhongtao <chenhongtao@deepin.org>  Wed, 06 Sep 2023 15:00:50 +0800

dde-clipboard (1:6.0.6) unstable; urgency=medium

  * chore: move elideText logic to itemdata
  * chore: add a commandline option

 -- chenhongtao <chenhongtao@deepin.org>  Thu, 31 Aug 2023 11:43:05 +0800

dde-clipboard (1:6.0.5) unstable; urgency=medium

  * fix cannot used on wayland
  * fix sytemd file, and make it starts after dde-session
  * fix cannot follow the opacity property in dde-appearance
  * when data is text, the height of the itemwidget is dynamic
  * fix when zoom is not 1x, the icon is blurry

 -- chenhongtao <chenhongtao@deepin.org>  Thu, 03 Aug 2023 17:53:05 +0800

dde-clipboard (1:6.0.4) unstable; urgency=medium

  * chore: Desktop文件中OnlyShowIn使用错误

 -- dengbo <dengbo@uniontech.com>  Fri, 21 Apr 2023 14:31:05 +0800

dde-clipboard (1:6.0.3) unstable; urgency=medium

  * ensure compliant with REUSE spec.

 -- Wang Zichong <wangzichong@deepin.org>  Mon, 03 Apr 2023 16:44:00 +0800

dde-clipboard (1:6.0.2) unstable; urgency=medium

  [ TagBuilder ]
  * chore: Retrigger build(Influence: 无)
  * fix: 修复注销时反复尝试启动的问题(Task: 203055)(Influence: 理论上加快注销的时间)
  * chore: V23接口改造适配(Task: 207483)(Influence: 无)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Tue, 13 Dec 2022 17:38:08 +0800

dde-clipboard (6.0.1) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * fix: fix time format issue in chagelog(Influence: 无)
  * fix: 修复v23wayland下剪切板无数据的问题。(Bug: 147089)(Influence: 剪切板全量功能，尤其是wayland下剪切板功能。)

 -- baodi <baodi@uniontech.com>  Wed, 19 Oct 2022 13:04:00 +0800

dde-clipboard (6.0.0) unstable; urgency=low

  * release 6.0.0

 --  <fanpengcheng@uniontech.com>  Tue, 14 Jun 2022 16:56:13 +0800
