=== debian/control ===
Source: dde-clipboard
Section: admin
Priority: optional
Maintainer: Deepin Sysdev <sysdev@deepin.com>
Build-Depends: debhelper (>= 8.0.0),
 pkg-config,
 cmake,
 libdtkwidget-dev,
 libdtkcore-dev,
 qttools5-dev-tools,
 libdtkcore5-bin,
 qtbase5-private-dev,
 libgio-qt-dev,
 libdframeworkdbus-dev,
 libgtest-dev,
 extra-cmake-modules,
 libdwayland-dev,
 libkf5wayland-dev,
 systemd
Standards-Version: 3.9.5
Homepage: https://github.com/linuxdeepin/dde-clipboard

Package: dde-clipboard
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 dde-daemon (>=5.12.0.31),
 startdde (>=5.6.0.34),
 dde-api (>=2.92.1),
 dde-session (>=1.1.5)
Description: deepin desktop-environment - clipboard module
 Clipboard module of deepin desktop-environment
