## dde-clipboard 6.1.8

=== debian/changelog ===
dde-clipboard (1:6.1.8) unstable; urgency=medium

  * fix: update dde-clipboard-daemon service dependencies

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 08 May 2025 17:43:38 +0800

dde-clipboard (1:6.1.7) unstable; urgency=medium

  * chore: remove startdde dependency

 -- fuleyi <fuleyi@uniontech.com>  Wed, 02 Apr 2025 11:26:28 +0800

dde-clipboard (1:6.1.6) unstable; urgency=medium

  * fix: double click can't select item

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 13 Feb 2025 20:36:47 +0800

dde-clipboard (1:6.1.5) unstable; urgency=medium

  * feat: add restart when failed
  * feat: Add files generated by qdbusXML2cpp and DCONG2cpp

 -- YeShanShan <yeshanshan@deepin.org>  Tue, 14 Jan 2025 20:23:31 +0800

dde-clipboard (1:6.1.4) unstable; urgency=medium

  * fix: clipboard does not show in primary screen #183
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 09 Jan 2025 16:13:12 +0800

dde-clipboard (1:6.1.3) unstable; urgency=medium

  * chore: provide dci icon for the dcc of V25

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 02 Jan 2025 19:01:26 +0800

dde-clipboard (1:6.1.2) unstable; urgency=medium

  * release 1:6.1.2

 -- xionglinlin <xionglinlin@uniontech.com>  Wed, 11 Dec 2024 18:31:34 +0800

dde-clipboard (1:6.1.1) unstable; urgency=medium

  * chore: refactor unreasonable places (#177)(Task: 367947)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 20 Nov 2024 11:17:06 +0800

dde-clipboard (1:6.1.0) unstable; urgency=medium

  * refactor: port to Qt6, new Wayland implementation

 -- Wu Haotian <wuhaotian@uniontech.com>  Wed, 06 Nov 2024 14:46:56 +0800

dde-clipboard (1:6.0.14) unstable; urgency=medium

  * chore: add the dde-clipboard plugin 

 -- Wang Fei <wangfei@deepin.org>  Wed, 11 Sep 2024 15:30:56 +0800
