=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk

export QT_SELECT = qt6

%:
	dh $@ --parallel
