## dde-clipboard 6.1.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
+set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined")
 
 if (CMAKE_BUILD_TYPE STREQUAL "Debug")
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall")
@@ -29,38 +30,26 @@
 
 if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Ofast")
-
-    # generate qm
-    execute_process(COMMAND bash "translate_generation.sh"
-                    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
 endif ()
+
+set(QT_VERSION_MAJOR 6)
+set(DTK_VERSION_MAJOR 6)
 
 # Find the library
 find_package(PkgConfig REQUIRED)
-find_package(Dtk COMPONENTS Widget Core REQUIRED)
-find_package(Qt5 COMPONENTS Core Gui Widgets DBus Test Concurrent REQUIRED)
+find_package(Dtk${DTK_VERSION_MAJOR} COMPONENTS Widget Core Tools REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core Gui Widgets DBus WaylandClient Test Concurrent LinguistTools REQUIRED)
+find_package(DDEShell REQUIRED)
+find_package(DdeTrayLoader REQUIRED)
 
 find_package(ECM REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
-find_package(DWayland REQUIRED)
-
-pkg_check_modules(GIO REQUIRED IMPORTED_TARGET gio-qt)
+
+pkg_check_modules(GIO REQUIRED IMPORTED_TARGET gio-qt6)
 
 if (NOT DEFINED SYSTEMD_USER_UNIT_DIR)
     pkg_get_variable(SYSTEMD_USER_UNIT_DIR systemd systemduserunitdir)
 endif()
-
-find_package(DtkTools REQUIRED)
-function(generation_dbus_adaptor xml class_name class_file option)
-    execute_process(COMMAND qdbusxml2cpp ${option} -a ${class_file} -c ${class_name} ${xml}
-    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
-endfunction(generation_dbus_adaptor)
-
-set(DBUS_INTERFACE ${PROJECT_SOURCE_DIR}/dbus/interface)
-function(generation_dbus_interface xml class_name class_file)
-    execute_process(COMMAND ${DTK_XML2CPP} -c ${class_name} -p ${class_file} ${xml}
-        WORKING_DIRECTORY ${DBUS_INTERFACE})
-endfunction(generation_dbus_interface)
 
 include_directories(
     dde-clipboard
@@ -70,30 +59,11 @@
 )
 
 #----------------------------dde-clipboard------------------------------
-generation_dbus_adaptor(
-    ${CMAKE_SOURCE_DIR}/dde-clipboard/org.deepin.dde.Clipboard1.xml
-    ClipboardAdaptor
-    ${CMAKE_CURRENT_BINARY_DIR}/clipboard_adaptor
-    -N
-)
-
-generation_dbus_interface(
-    ${CMAKE_SOURCE_DIR}/dbus/org.deepin.dde.Display1.Monitor.xml
-    Monitor
-    ${DBUS_INTERFACE}/monitor_interface
-)
-
-generation_dbus_interface(
-    ${CMAKE_SOURCE_DIR}/dbus/org.deepin.dde.Display1.xml
-    Display1
-    ${DBUS_INTERFACE}/display_interface
-)
-
-generation_dbus_interface(
-    ${CMAKE_SOURCE_DIR}/dbus/org.deepin.dde.daemon.Dock1.xml
-    Dock1
-    ${DBUS_INTERFACE}/dock_interface
-)
+
+qt_add_dbus_adaptor(DBUS_INTERFACES ${CMAKE_SOURCE_DIR}/dde-clipboard/org.deepin.dde.Clipboard1.xml mainwindow.h MainWindow)
+dtk_add_dbus_interface(DBUS_INTERFACES ${CMAKE_SOURCE_DIR}/dbus/org.deepin.dde.Display1.Monitor.xml display1monitorinterface)
+dtk_add_dbus_interface(DBUS_INTERFACES ${CMAKE_SOURCE_DIR}/dbus/org.deepin.dde.Display1.xml display1interface)
+qt_add_dbus_interface(DBUS_INTERFACES ${CMAKE_SOURCE_DIR}/dbus/org.deepin.dde.daemon.Dock1.xml dock1interface)
 
 include_directories(
     ${PROJECT_SOURCE_DIR}/dbus/interface
@@ -102,12 +72,6 @@
 )
 
 aux_source_directory(dbus/types DBUS_TYPES)
-aux_source_directory(dbus/interface DBUS_INTERFACES)
-
-set(Clipboard_DBUS_SCRS
-    ${CMAKE_CURRENT_BINARY_DIR}/clipboard_adaptor.h
-    ${CMAKE_CURRENT_BINARY_DIR}/clipboard_adaptor.cpp
-)
 
 file(GLOB_RECURSE Clipboard_SCRS
     "dde-clipboard/*.h"
@@ -124,14 +88,37 @@
 )
 
 target_link_libraries(${BIN_NAME} PRIVATE
-    Dtk::Widget
-    Dtk::Core
+    Dtk${DTK_VERSION_MAJOR}::Widget
+    Dtk${DTK_VERSION_MAJOR}::Core
     PkgConfig::GIO
-    Qt5::Core
-    Qt5::Widgets
-    Qt5::GuiPrivate
-    Qt5::Gui
-    Qt5::DBus
+    Qt${QT_VERSION_MAJOR}::Core
+    Qt${QT_VERSION_MAJOR}::Widgets
+    Qt${QT_VERSION_MAJOR}::GuiPrivate
+    Qt${QT_VERSION_MAJOR}::Gui
+    Qt${QT_VERSION_MAJOR}::DBus
+    Dde::Shell
+)
+
+# can use qt_standard_project_setup(I18N_TRANSLATED_LANGUAGES xx xx) from Qt6.7
+set(TRANSLATION_LANGUAGES
+    af am_ET ar ast az bg bn bo ca cs da de el_GR el en_AU en_GB eo es_419 es
+    et fa fi fr gl_ES he hi_IN hi hr hu hy id it ja kab ko ku_IQ ku ky@Arab
+    lt lv ml mn ms nb ne nl pa pl pt_BR pt ro ru si sk sl sq sr sv sw ta tr
+    ug uk vi zh_CN zh_HK zh_TW
+)
+
+set(TRANSLATION_FILES "")
+list(APPEND TRANSLATION_FILES "${PROJECT_SOURCE_DIR}/translations/dde-clipboard.ts")
+
+foreach(LANG ${TRANSLATION_LANGUAGES})
+    list(APPEND TRANSLATION_FILES "${PROJECT_SOURCE_DIR}/translations/dde-clipboard_${LANG}.ts")
+endforeach()
+
+# can generate ts and qm file
+qt_add_translations(${BIN_NAME}
+    TS_FILES ${TRANSLATION_FILES}
+    SOURCES ${Clipboard_SCRS}
+    QM_FILES_OUTPUT_VARIABLE TRANSLATED_FILES
 )
 
 macro(install_symlink filepath wantsdir)
@@ -141,8 +128,7 @@
 endmacro(install_symlink)
 
 ## qm files
-file(GLOB QM_FILES "translations/*.qm")
-install(FILES ${QM_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/${BIN_NAME}/translations)
+install(FILES ${TRANSLATED_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/${BIN_NAME}/translations)
 
 configure_file(
     misc/dde-clipboard.service.in
@@ -170,21 +156,24 @@
 set(BIN_NAME dde-clipboard-daemon)
 
 file(GLOB_RECURSE dde-clipboard-daemon_SCRS
-        "dde-clipboard-daemon/*.h"
-        "dde-clipboard-daemon/*.cpp"
+    "dde-clipboard-daemon/*.h"
+    "dde-clipboard-daemon/*.cpp"
 )
 
 add_executable(${BIN_NAME}
     ${dde-clipboard-daemon_SCRS}
 )
 
+qt_generate_wayland_protocol_client_sources(${BIN_NAME} FILES
+    ${CMAKE_CURRENT_SOURCE_DIR}/dde-clipboard-daemon/protocol/wlr-data-control-unstable-v1.xml)
+
 target_link_libraries(${BIN_NAME} PRIVATE
-  Qt5::Gui
-  Qt5::DBus
-  Qt5::Widgets
-  Dtk::Core
-  Qt5::Concurrent
-  DWaylandClient
+    Qt${QT_VERSION_MAJOR}::Core
+    Qt${QT_VERSION_MAJOR}::DBus
+    Qt${QT_VERSION_MAJOR}::Concurrent
+    Qt${QT_VERSION_MAJOR}::WaylandClient
+    Qt${QT_VERSION_MAJOR}::WaylandClientPrivate
+    Dtk${DTK_VERSION_MAJOR}::Core
 )
 
 install(TARGETS ${BIN_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})
@@ -235,14 +224,48 @@
 target_compile_options(${UT_BIN_NAME} PRIVATE -fprofile-arcs -ftest-coverage)
 
 target_link_libraries(${UT_BIN_NAME} PRIVATE
-    Dtk::Widget
+    Dtk${DTK_VERSION_MAJOR}::Widget
     PkgConfig::GIO
-    Qt5::Core
-    Qt5::Widgets
-    Qt5::DBus
-    Qt5::Test
-    Qt5::GuiPrivate
+    Qt${QT_VERSION_MAJOR}::Core
+    Qt${QT_VERSION_MAJOR}::Widgets
+    Qt${QT_VERSION_MAJOR}::DBus
+    Qt${QT_VERSION_MAJOR}::Test
+    Qt${QT_VERSION_MAJOR}::GuiPrivate
+    Dde::Shell
     -lpthread
     -lgcov
     -lgtest
 )
+
+#--------------------------dock-plugin---------------------------
+set(PLUGIN_NAME dock-clipboard-plugin)
+
+file(GLOB_RECURSE SRCS
+    "dock-clipboard-plugin/*.h"
+    "dock-clipboard-plugin/*.cpp"
+    "dock-clipboard-plugin/widget/*.h"
+    "dock-clipboard-plugin/widget/*.cpp"
+)
+
+add_definitions("${QT_DEFINITIONS} -DQT_PLUGIN")
+add_library(${PLUGIN_NAME} SHARED ${SRCS} dock-clipboard-plugin/resources/clipboard.qrc)
+target_include_directories(${PLUGIN_NAME} PUBLIC
+    Dtk${DTK_VERSION_MAJOR}::Widget
+    Qt${QT_VERSION_MAJOR}::Core
+    ${OBJECT_BINARY_DIR}
+    ${DDE_DOCK_INCLUDE_DIR}
+    dock-clipboard-plugin/widget/
+)
+target_link_libraries(${PLUGIN_NAME} PRIVATE
+    Dtk${DTK_VERSION_MAJOR}::Widget
+    Dtk${DTK_VERSION_MAJOR}::Core
+    Qt${QT_VERSION_MAJOR}::DBus
+    Qt${QT_VERSION_MAJOR}::Widgets
+)
+
+# 设置执行 make install 时哪个目标应该被 install 到哪个位置
+install(TARGETS ${PLUGIN_NAME} LIBRARY DESTINATION lib/dde-dock/plugins)
+# for dcc-v23
+install(FILES "dock-clipboard-plugin/resources/clipboard.svg" DESTINATION share/dde-dock/icons/dcc-setting)
+# for dcc-v25
+install(FILES "dock-clipboard-plugin/resources/dcc-clipboard.dci" DESTINATION share/dde-dock/icons/dcc-setting)
