## dde-clipboard 6.1.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,8 @@
 set(BIN_NAME dde-clipboard)
 
 project(${BIN_NAME})
+
+option(ENABLE_COV "Enable code coverage" OFF)
 
 #set(CMAKE_VERBOSE_MAKEFILE ON)
 set(CMAKE_CXX_STANDARD 17)
@@ -39,6 +41,9 @@
 find_package(PkgConfig REQUIRED)
 find_package(Dtk${DTK_VERSION_MAJOR} COMPONENTS Widget Core Tools REQUIRED)
 find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core Gui Widgets DBus WaylandClient Test Concurrent LinguistTools REQUIRED)
+if(Qt${QT_VERSION_MAJOR}_VERSION VERSION_GREATER_EQUAL 6.10)
+  find_package(Qt${QT_VERSION_MAJOR} COMPONENTS GuiPrivate WaylandClientPrivate REQUIRED)
+endif()
 find_package(DDEShell REQUIRED)
 find_package(DdeTrayLoader REQUIRED)
 
@@ -103,7 +108,7 @@
 set(TRANSLATION_LANGUAGES
     af am_ET ar ast az bg bn bo ca cs da de el_GR el en_AU en_GB eo es_419 es
     et fa fi fr gl_ES he hi_IN hi hr hu hy id it ja kab ko ku_IQ ku ky@Arab
-    lt lv ml mn ms nb ne nl pa pl pt_BR pt ro ru si sk sl sq sr sv sw ta tr
+    lo lt lv ml mn ms nb ne nl pa pl pt_BR pt ro ru si sk sl sq sr sv sw ta tr
     ug uk vi zh_CN zh_HK zh_TW
 )
 
@@ -221,7 +226,9 @@
     ${DBUS_TYPES}
 )
 # 用于测试覆盖率的编译条件
-target_compile_options(${UT_BIN_NAME} PRIVATE -fprofile-arcs -ftest-coverage)
+if (ENABLE_COV)
+    target_compile_options(${UT_BIN_NAME} PRIVATE -fprofile-arcs -ftest-coverage)
+endif()
 
 target_link_libraries(${UT_BIN_NAME} PRIVATE
     Dtk${DTK_VERSION_MAJOR}::Widget
