=== debian/changelog ===
dde-clipboard (1:6.1.14) unstable; urgency=medium

  * fix: Fix the issue of multiple records being created when copying text repeatedly
  * fix: Fix the issue of weekdays not being translated 
  * fix: Fix the clipboard not moving with the dock

 -- wujiangyu <wujiangyu@uniontech.com>  Thu, 23 Oct 2025 16:14:45 +0800

dde-clipboard (1:6.1.13) unstable; urgency=medium

  * chore: add `lo` to TRANSLATION_LANGUAGES list

 -- YeShanShan <yeshanshan@uniontech.com>  Fri, 26 Sep 2025 16:07:50 +0800

dde-clipboard (1:6.1.12) unstable; urgency=medium

  * fix: correct scaling position calculation 
  * fix: adjust window positioning for right dock 
  * i18n: Translate dde-clipboard.ts in lo(#206)
  * i18n: Translate dde-clipboard.ts in de_DE (#204)

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 18 Sep 2025 19:47:54 +0800

dde-clipboard (1:6.1.11) unstable; urgency=medium

  * Updates for project Deepin Desktop Environment (#200)
  * i18n: Updates for project Deepin Desktop Environment (#199)
  * chore: update configurations for REUSE and tx-cli
  * chore: update translations from Transifex
  * chore: Optimize packaging (#198)
  * fix: make coverage compilation conditional

 -- Kun Zhang <zhangkun2@uniontech.com>  Thu, 03 Jul 2025 19:57:07 +0800
