=== debian/control ===
Source: dde-clipboard
Section: admin
Priority: optional
Maintainer: Deepin Sysdev <sysdev@deepin.com>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 dde-tray-loader-dev (>= 0.0.11),
 extra-cmake-modules,
 libdde-shell-dev,
 libdtk6core-bin,
 libdtk6core-dev,
 libdtk6gui-dev,
 libdtk6widget-dev,
 libgio-qt-dev,
 libgtest-dev,
 pkg-config,
 qmake6,
 qt6-base-dev,
 qt6-base-private-dev,
 qt6-declarative-dev,
 qt6-l10n-tools,
 qt6-tools-dev,
 qt6-tools-dev-tools,
 qt6-wayland-dev,
 qt6-wayland-dev-tools,
 qt6-wayland-private-dev,
 qtchooser,
 systemd,
Standards-Version: 4.6.2
Homepage: https://github.com/linuxdeepin/dde-clipboard

Package: dde-clipboard
Architecture: any
Depends:
 dde-api (>=2.92.1),
 dde-daemon (>=6.1.26),
 dde-session (>=1.1.5),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 dde-shell (<< 1.99.3),
Replaces:
 dde-shell (<< 1.99.3),
Description: deepin desktop-environment - clipboard module
 Clipboard module of deepin desktop-environment
