=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,4 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,relro -Wl,-z,now -Wl,-z,noexecstack -Wl,-E
 
 %:
-	dh $@ --parallel
+	dh $@
