## dde-clipboard 6.1.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -88,6 +88,7 @@
     ${Clipboard_SCRS}
     ${Clipboard_DBUS_SCRS}
     dde-clipboard/main.cpp
+    dde-clipboard/resources.qrc
     ${DBUS_INTERFACES}
     ${DBUS_TYPES}
 )
